Subject: Re: bug#30788: 27.0.50; Getting 'char-displayable-p: Invalid hash table rehash size: 1.0' when starting emacs -Q

From: Philipp Stephani <[email-masked]>
Date: Sat, 19 May 2018 13:45:06 +0200

Peter Dyballa <[email-masked]> schrieb am Do., 17. Mai 2018 um
01:23 Uhr:

>
>
> > Am 16.5.2018 um 04:30 schrieb Eli Zaretskii <[email-masked]>:
> >
> > So the next question is: which software resets the LC_NUMERIC setting?
> > Perhaps by running Emacs under a debugger with a breakpoint on
> > set_locale could answer that question.
>
> A few problems here… The newly built debugger (macOS High Sierra, version
> 10.13, obviously comes without one) needs to be "codesigned". This does not
> work here as in theory, practically. Maybe I need to reboot, disable that
> "gatekeeper" completely, or whatever. Is maybe root allowed to use GDB
> instantly?
>
> The easiest step was to build two Emacsen with different levels of debug
> information.
>
> BTW, GDB and I cannot find the text set_locale, except here:
>
> ../src/xterm.c:        /* gtk_init does set_locale.  Fix locale before and
> after.  */
>
> I am using the athena variant with Xaw3d.
>

Try using LLDB instead of GDB, it works better on macOS and doesn't require
codesigning.